Get all knowledge
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/kb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/rag/kb \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/kb"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "Files",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"statistics": {
"knowledgeBaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storageByDocumentType": {},
"documentsByStatus": {
"Uploaded": 123,
"Queued": 123,
"Processing": 123,
"Indexed": 123,
"Failed": 123,
"Cancelled": 123,
"PendingDelete": 123,
"Deleting": 123
}
},
"settings": {},
"embeddingsName": "<string>"
}
],
"totalItems": 123
}Get all knowledge
GET
/
api
/
v1
/
rag
/
kb
Get all knowledge
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/kb', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/rag/kb \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/kb"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "Files",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"statistics": {
"knowledgeBaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storageByDocumentType": {},
"documentsByStatus": {
"Uploaded": 123,
"Queued": 123,
"Processing": 123,
"Indexed": 123,
"Failed": 123,
"Cancelled": 123,
"PendingDelete": 123,
"Deleting": 123
}
},
"settings": {},
"embeddingsName": "<string>"
}
],
"totalItems": 123
}Was this page helpful?
⌘I